summaryrefslogtreecommitdiff
path: root/buildtools/testwaf.sh
diff options
context:
space:
mode:
authorKai Blin <kai.blin@biotech.uni-tuebingen.de>2010-05-11 14:24:47 +0200
committerKai Blin <kai.blin@biotech.uni-tuebingen.de>2010-05-11 14:49:28 +0200
commiteda58884928845702e210afd75d0c0ece8f3dbfe (patch)
tree7f9309d8b2bd5eefbb81e8699881a8445135ea29 /buildtools/testwaf.sh
parent2eab1d7fdcb54f9ec27431ca4858eb64cb1bd835 (diff)
downloadsamba-eda58884928845702e210afd75d0c0ece8f3dbfe.tar.gz
samba-eda58884928845702e210afd75d0c0ece8f3dbfe.tar.bz2
samba-eda58884928845702e210afd75d0c0ece8f3dbfe.zip
build: skip missing executables in testwaf.sh
Diffstat (limited to 'buildtools/testwaf.sh')
-rwxr-xr-xbuildtools/testwaf.sh14
1 files changed, 12 insertions, 2 deletions
diff --git a/buildtools/testwaf.sh b/buildtools/testwaf.sh
index 7a3f1bf227..a9a17cfdef 100755
--- a/buildtools/testwaf.sh
+++ b/buildtools/testwaf.sh
@@ -48,6 +48,11 @@ echo "testing python portability"
pushd lib/talloc
versions="python2.4 python2.5 python2.6 python3.0 python3.1"
for p in $versions; do
+ ret=$(which $p || echo "failed")
+ if [ $ret == "failed" ]; then
+ echo "$p not found, skipping"
+ continue
+ fi
echo "Testing $p"
$p ../../buildtools/bin/waf configure -C --enable-developer --prefix=$PREFIX
$p ../../buildtools/bin/waf build install
@@ -56,6 +61,11 @@ popd
echo "testing cross compiling"
pushd lib/talloc
-CC=arm-linux-gnueabi-gcc ./configure -C --prefix=$PREFIX --cross-compile --cross-execute='runarm'
-make && make install
+ret=$(which arm-linux-gnueabi-gcc || echo "failed")
+if [ $ret != "failed" ]; then
+ CC=arm-linux-gnueabi-gcc ./configure -C --prefix=$PREFIX --cross-compile --cross-execute='runarm'
+ make && make install
+else
+ echo "Cross-compiler not installed, skipping test"
+fi
popd